Subject: RE: bug#13718: [patch] prevents hl-line from overriding highlight-mode

From: "Drew Adams" <[email-masked]>
Date: Fri, 15 Feb 2013 07:26:48 -0800

> I found that the overlays in highlight-mode do not override the
> overlays from global-hl-line-mode, causing them to disappear on the
> currently active line.  The solution I found was to edit hi-lock.el to
> increase the priority of the overlay, as outlined in this patch:

Bad design.

The priority here should be a user option, or at least a defvar that a user can
tweak.  Likewise, for other overlay priorities in Emacs.

A library can reasonably set the _default_ priority for an overlay, but it
cannot know what priority might actually be most appropriate when the library is
used in combination with other code and when taking user preferences into
account.